﻿using System.Linq;
using System.Web.Mvc;
using Mvc3DynamicMenu.Models;

namespace Mvc3DynamicMenu.Controllers
{
    public class BaseController : Controller
    {
        protected override void OnActionExecuting(ActionExecutingContext filterContext)
        {
            var siteMenuManager = new SiteMenuManager();
            ViewBag.SiteLinks = siteMenuManager.GetSitemMenuItems().ToList();
            base.OnActionExecuting(filterContext);
        }
    }
}